Add items to watchlist

🔥 VIP Enhanced 🔒 OAuth Required 😁 Emojis

Add one of more items to a user's watchlist. Accepts shows, seasons, episodes and movies. If only a show is passed, only the show itself will be added. If seasons are specified, all of those seasons will be added.

Notes

Each watchlist item can optionally accept a notes (500 maximum characters) field with custom text. The user must be a Trakt VIP to send notes.

Limits

If the user's watchlist limit is exceeded, a 420 HTTP error code is returned. Use the /users/settings method to get all limits for a user account. In most cases, upgrading to Trakt VIP will increase the limits.

JSON POST Data

KeyTypeValue
moviesarrayArray of movie objects. (see examples ->)
showsarrayArray of show objects.
seasonsarrayArray of season objects.
episodesarrayArray of episode objects.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Body

movies
array | null
movies
shows
array | null
shows
seasons
array of objects | null
seasons
episodes
array of objects | null
episodes
Response

Language
Credentials
Required Scopes
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json